<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.remoting" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="auth-realm,authentication-retries,authorize-id,buffer-region-size,heartbeat-interval,max-inbound-channels,max-inbound-message-size,max-inbound-messages,max-outbound-channels,max-outbound-message-size,max-outbound-messages,receive-buffer-size,receive-window-size,sasl-protocol,send-buffer-size,server-name,transmit-window-size,worker"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.remoting"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.remoting.http-listener-registry"/>
        <capability name="$profile.org.wildfly.remoting.endpoint"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.io.worker.$worker" optional="true"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="auth-realm" nillable="true" stability="default"/>
        <param name="heartbeat-interval" nillable="true" stability="default"/>
        <param name="max-outbound-message-size" nillable="true" stability="default"/>
        <param name="extension" default="org.jboss.as.remoting"/>
        <param name="max-inbound-messages" nillable="true" stability="default"/>
        <param name="receive-window-size" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="remoting"/>
        <param name="buffer-region-size" nillable="true" stability="default"/>
        <param name="sasl-protocol" nillable="true" stability="default"/>
        <param name="max-outbound-messages" nillable="true" stability="default"/>
        <param name="server-name" nillable="true" stability="default"/>
        <param name="receive-buffer-size" nillable="true" stability="default"/>
        <param name="max-inbound-channels" nillable="true" stability="default"/>
        <param name="max-inbound-message-size" nillable="true" stability="default"/>
        <param name="authentication-retries" nillable="true" stability="default"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="authorize-id" nillable="true" stability="default"/>
        <param name="send-buffer-size" nillable="true" stability="default"/>
        <param name="worker" nillable="true" stability="default"/>
        <param name="transmit-window-size" nillable="true" stability="default"/>
        <param name="max-outbound-channels" nillable="true" stability="default"/>
    </params>
    <packages>
        <package name="org.jboss.as.remoting"/>
    </packages>
</feature-spec>